org.eclipse.ease

## Interface IScriptEngineLaunchExtension

All Known Implementing Classes:
  BootStrapper

    public interface IScriptEngineLaunchExtension

Interface for script engine launch extensions. An extension gets the chance to modify a script engine before scripts are fed to the engine.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createEngine(IScriptEngine engine)` Called upon a script engine creation.

### Method Detail

#### createEngine

    void createEngine(IScriptEngine engine)

Called upon a script engine creation. As there might be multiple launch extensions, this might not be the only contribution to the script engine.

Parameters:
  `engine` - engine just created